ID CVE-2016-2159
Summary The save_submission function in mod/assign/externallib.php in Moodle through 2.6.11, 2.7.x before 2.7.13, 2.8.x before 2.8.11, 2.9.x before 2.9.5, and 3.0.x before 3.0.3 allows remote authenticated users to bypass intended due-date restrictions by leveraging the student role for a web-service request.
References
Vulnerable Configurations
  • Moodle 3.0.2
    cpe:2.3:a:moodle:moodle:3.0.2
  • Moodle 3.0.1
    cpe:2.3:a:moodle:moodle:3.0.1
  • Moodle 3.0
    cpe:2.3:a:moodle:moodle:3.0
  • Moodle 2.9.4
    cpe:2.3:a:moodle:moodle:2.9.4
  • Moodle 2.9.3
    cpe:2.3:a:moodle:moodle:2.9.3
  • Moodle 2.9.2
    cpe:2.3:a:moodle:moodle:2.9.2
  • Moodle 2.9.1
    cpe:2.3:a:moodle:moodle:2.9.1
  • Moodle 2.9
    cpe:2.3:a:moodle:moodle:2.9
  • Moodle 2.8.10
    cpe:2.3:a:moodle:moodle:2.8.10
  • Moodle 2.8.9
    cpe:2.3:a:moodle:moodle:2.8.9
  • Moodle 2.8.8
    cpe:2.3:a:moodle:moodle:2.8.8
  • Moodle 2.8.7
    cpe:2.3:a:moodle:moodle:2.8.7
  • Moodle 2.8.6
    cpe:2.3:a:moodle:moodle:2.8.6
  • Moodle Moodle 2.8.5
    cpe:2.3:a:moodle:moodle:2.8.5
  • Moodle Moodle 2.8.4
    cpe:2.3:a:moodle:moodle:2.8.4
  • Moodle Moodle 2.8.3
    cpe:2.3:a:moodle:moodle:2.8.3
  • Moodle Moodle 2.8.2
    cpe:2.3:a:moodle:moodle:2.8.2
  • Moodle Moodle 2.8.1
    cpe:2.3:a:moodle:moodle:2.8.1
  • Moodle Moodle 2.8
    cpe:2.3:a:moodle:moodle:2.8
  • Moodle 2.7.12
    cpe:2.3:a:moodle:moodle:2.7.12
  • Moodle 2.7.9
    cpe:2.3:a:moodle:moodle:2.7.9
  • Moodle 2.7.8
    cpe:2.3:a:moodle:moodle:2.7.8
  • Moodle Moodle 2.7.7
    cpe:2.3:a:moodle:moodle:2.7.7
  • Moodle Moodle 2.7.6
    cpe:2.3:a:moodle:moodle:2.7.6
  • Moodle Moodle 2.7.5
    cpe:2.3:a:moodle:moodle:2.7.5
  • Moodle Moodle 2.7.4
    cpe:2.3:a:moodle:moodle:2.7.4
  • Moodle Moodle 2.7.3
    cpe:2.3:a:moodle:moodle:2.7.3
  • Moodle 2.7.2
    cpe:2.3:a:moodle:moodle:2.7.2
  • Moodle 2.7.11
    cpe:2.3:a:moodle:moodle:2.7.11
  • Moodle 2.7.10
    cpe:2.3:a:moodle:moodle:2.7.10
  • Moodle 2.7.1
    cpe:2.3:a:moodle:moodle:2.7.1
  • Moodle 2.7
    cpe:2.3:a:moodle:moodle:2.7
  • Moodle 2.6.11
    cpe:2.3:a:moodle:moodle:2.6.11
CVSS
Base: 4.0 (as of 23-05-2016 - 14:34)
Impact:
Exploitability:
CWE CWE-284
CAPEC
  • Embedding Scripts within Scripts
    An attack of this type exploits a programs' vulnerabilities that are brought on by allowing remote hosts to execute scripts. The attacker leverages this capability to execute scripts to execute his/her own script by embedding it within other scripts that the target software is likely to execute. The attacker must have the ability to inject script into script that is likely to be executed. If this is done, then the attacker can potentially launch a variety of probes and attacks against the web server's local environment, in many cases the so-called DMZ, back end resources the web server can communicate with, and other hosts. With the proliferation of intermediaries, such as Web App Firewalls, network devices, and even printers having JVMs and Web servers, there are many locales where an attacker can inject malicious scripts. Since this attack pattern defines scripts within scripts, there are likely privileges to execute said attack on the host. Of course, these attacks are not solely limited to the server side, client side scripts like Ajax and client side JavaScript can contain malicious scripts as well. In general all that is required is for there to be sufficient privileges to execute a script, but not protected against writing.
  • Signature Spoofing by Key Theft
    An attacker obtains an authoritative or reputable signer's private signature key by theft and then uses this key to forge signatures from the original signer to mislead a victim into performing actions that benefit the attacker.
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE_INSTANCE
Impact
ConfidentialityIntegrityAvailability
NONE PARTIAL NONE
nessus via4
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2016-403715AAEC.NASL
    description Multiple CVEs Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2018-09-01
    modified 2016-10-18
    plugin id 90256
    published 2016-04-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=90256
    title Fedora 23 : moodle-2.9.5-1.fc23 (2016-403715aaec)
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2016-B91D895E5A.NASL
    description Multiple CVEs Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2018-09-01
    modified 2016-10-18
    plugin id 90257
    published 2016-04-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=90257
    title Fedora 22 : moodle-2.8.11-1.fc22 (2016-b91d895e5a)
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2016-9B591E1952.NASL
    description 3.0.3. Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2018-09-01
    modified 2016-10-18
    plugin id 90218
    published 2016-03-28
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=90218
    title Fedora 24 : moodle-3.0.3-1.fc24 (2016-9b591e1952)
  • NASL family FreeBSD Local Security Checks
    NASL id FREEBSD_PKG_A430E15DF93F11E592CE002590263BF5.NASL
    description Marina Glancy reports : - MSA-16-0003: Incorrect capability check when displaying users emails in Participants list - MSA-16-0004: XSS from profile fields from external db - MSA-16-0005: Reflected XSS in mod_data advanced search - MSA-16-0006: Hidden courses are shown to students in Event Monitor - MSA-16-0007: Non-Editing Instructor role can edit exclude checkbox in Single View - MSA-16-0008: External function get_calendar_events return events that pertains to hidden activities - MSA-16-0009: CSRF in Assignment plugin management page - MSA-16-0010: Enumeration of category details possible without authentication - MSA-16-0011: Add no referrer to links with _blank target attribute - MSA-16-0012: External function mod_assign_save_submission does not check due dates
    last seen 2018-11-13
    modified 2018-11-10
    plugin id 90337
    published 2016-04-05
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=90337
    title FreeBSD : moodle -- multiple vulnerabilities (a430e15d-f93f-11e5-92ce-002590263bf5)
refmap via4
confirm
mlist [oss-security] 20160321 moodle security release
sectrack 1035333
Last major update 24-05-2016 - 13:27
Published 22-05-2016 - 16:59
Last modified 06-09-2017 - 21:29
Back to Top